/*****************************************************************************/
/*                   Reflections Plugin Support Functions                    */
/*****************************************************************************/

/* title:    list definitions */
/* author:   Reinhard Grams  */
/* version:  1.0, 18.9.97 */
/* updated:  10.3.98 by RG */

/*****************************************************************************/

#ifndef LISTS_D_INCLUDED
#define LISTS_D_INCLUDED

/*****************************************************************************/

#undef _LISTS_DEBUG_	/* define to include debug functions */

/*****************************************************************************/
/* we support a double linked list */

typedef struct _bas_node_ {

	struct _bas_node_	*succ;
	struct _bas_node_	*pred;

} BasNode;

/*****************************************************************************/

typedef struct _bas_list_ {

	BasNode	*first;        /* first node */
	BasNode	*last;         /* last node */
	long		nr_of_nodes;   /* number of nodes, always valid */
	BasNode	**index;       /* optional index array with ptrs to nodes */
                           /* this array is not updated when the */
                           /* the list is edited */
} BasList;

/*****************************************************************************/

#endif

/*****************************************************************************/

