/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/

/* title:    create tool functions */
/* author:   Carsten Fuchs */
/* version:  1.0, 15.10.97 */
/* updated:  23.3.98 by RG */
/* version:  1.1, 6.9.99 */
/* updated:  16.11.99 by RG */
/* updated:  25.2.2000 by RG */
/* updated:  2.3.2000 by RG */

/*****************************************************************************/
/* add a tool to the reflections objects-create menu */

   RPIStub long 
RPI_add_create_tool
   (RPI_HANDLE handle,char *text,long tool_id)
{
   /* handle:       refgateway-handle
      text:         title of the new menu entry
      tool_id:      unique id to identify the tool
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=tool_id;
   in.s_param[0]=text;
   in.id=RPI_ADD_CREATE_TOOL;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* remove a tool from the reflections object-create menu */

   RPIStub long
RPI_sub_create_tool
   (RPI_HANDLE handle,long tool_id)
{
   /* handle:       refgateway-handle
      tool_id:      unique id to identify the tool
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=tool_id;
   in.id=RPI_SUB_CREATE_TOOL;
   return(RPI_do(&in,&out));
}
/*****************************************************************************/

#if MONZOOM_VERSION >= 45

/*****************************************************************************/
/* add a tool to the reflections action-create menu */

   RPIStub long 
RPI_add_create1_tool
   (RPI_HANDLE handle,char *text,long tool_id)
{
   /* handle:       refgateway-handle
      text:         title of the new menu entry
      tool_id:      unique id to identify the tool
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=tool_id;
   in.s_param[0]=text;
   in.id=RPI_ADD_CREATE1_TOOL;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* remove a tool from the reflections action-create menu */

   RPIStub long
RPI_sub_create1_tool
   (RPI_HANDLE handle,long tool_id)
{
   /* handle:       refgateway-handle
      tool_id:      unique id to identify the tool
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=tool_id;
   in.id=RPI_SUB_CREATE1_TOOL;
   return(RPI_do(&in,&out));
}
/*****************************************************************************/

#endif /* if MONZOOM_VERSION >= 45 */

/*****************************************************************************/

#if MONZOOM_VERSION >= 46

/*****************************************************************************/
/* add a tool to the reflections create-object menu */
   
   RPIStub long 
RPI_add_obj_create_tool
   (RPI_HANDLE handle,long obj_id,char *tool_name,char *tool_image_file,
   long tool_id,char *short_description,char *description,
   plug_obj_create_param *param)
{
   /* handle:              refgateway-handle
      obj_id:              type of the object to be created
      tool_name:           name of the new menu entry
      tool_image_file:     name of the icon image
      tool_id:             unique id to identify the tool
      short_description:   short description for the tooltypes
      description:         detailed description
      param:               ptr to tool parms
      returns:             0 if failed
                           1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=obj_id;
   in.s_param[0]=tool_name;
   in.s_param[1]=tool_image_file;
   in.l_param[1]=tool_id;
   in.s_param[2]=short_description;
   in.s_param[3]=description;
   in.v_param[1]=param;
   in.id=RPI_ADD_OBJ_CREATE_TOOL;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* remove a tool from the reflections create-object menu */

   RPIStub long
RPI_sub_obj_create_tool
   (RPI_HANDLE handle,long tool_id)
{
   /* handle:       refgateway-handle
      text:         title of the new menu entry
      tool_id:      unique id to identify the tool
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=tool_id;
   in.id=RPI_SUB_OBJ_CREATE_TOOL;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/

#endif /* if MONZOOM_VERSION >= 46 */

/*****************************************************************************/
