/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/
/* title:    user interface functions for geo-objects */
/* author:   Carsten Fuchs */
/* version:  1.0, 16.9.97 */
/* updated:  15.9.98 by CF */
/* updated:  17.11.99 by RG */
/* updated:  2.3.2000 by RG */
/*****************************************************************************/
/* add a tool to the reflections x-tra menu */

   RPIStub long
RPI_geo_edit_add_tool
   (RPI_HANDLE handle,char *bildfile,char *bildfile_sel,long tool_id,long geo_id);

   /* handle:       refgateway-handle
      bildfile:     filename of the icon image, normal state
      bildfile_sel: filename of the icon image, selected state
      tool_id:      unique id, used to identify the tool
      geo_id:       reflections object type the tool is made for
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* remove a tool from the reflections x-tra menu */

   RPIStub long
RPI_geo_edit_sub_tool
   (RPI_HANDLE handle,long tool_id);

   /* handle:       refgateway-handle
      tool_id:      unique id, used to identify the tool
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* add a interactive tool to reflections x-tra menu */

   RPIStub long
RPI_geo_edit_add_interactive_tool
   (RPI_HANDLE handle,char *bildfile,char *bildfile_sel,long tool_id,long geo_id);

   /* handle:       refgateway-handle
      bildfile:     filename of the icon image, normal state
      bildfile_sel: filename of the icon image, selected state
      tool_id:      unique id, used to identify the tool
      geo_id:       reflections object type the tool is made for
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* request messages for geo-editor events */

   RPIStub long
RPI_geo_edit_inform
   (RPI_HANDLE handle,unsigned long flags);

   /* handle:       refgateway-handle
      flags:        bitfield that specifies the events the plug wants
                    to be informed about. defined in rgw_defs.h.
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* get the currently selected object */

   RPIStub long
RPI_geo_edit_get_selected_obj
   (RPI_HANDLE handle,RPI_OBJECT *obj);

   /* handle:       refgateway-handle
      obj:          destination for object-handle
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* switch into the pt-editor (including xtra-menu) for a geo-objekt */

   RPIStub long
RPI_geo_edit_pkt_editor
   (RPI_HANDLE handle,RPI_OBJECT obj);

   /* handle:       refgateway-handle
      obj:          object-handle for geo-object to switch to the pt-editor
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* press a button in the xtra-menu of the pt-editor */

   RPIStub long
RPI_geo_edit_press_xtra_button
   (RPI_HANDLE handle,long tool_id);

   /* handle:       refgateway-handle
      tool_id:      tool_id, which was used to install the xtra-tool
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* release a pressed-button in the xtra-menu of the pt-editor */

   RPIStub long
RPI_geo_edit_release_xtra_button
   (RPI_HANDLE handle,long tool_id);

   /* handle:       refgateway-handle
      tool_id:      tool_id, which was used to install the xtra-tool
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
