/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/
/* title:    polygon functions */
/* author:   Carsten Fuchs  */
/* version:  1.0, 16.9.97   */
/* updated:  23.3.98 by RG */
/* updated   16.9.98 */
/* updated:  17.11.99 by RG */
/* updated:  2.3.2000 by RG */
/*****************************************************************************/
/* triangulate a 2D polygon and create new triangle object */

   RPIStub RPI_OBJECT
RPI_pol2d_triang
   (RPI_HANDLE handle,RPI_OBJECT pol2d,char *errmsg);

   /* handle:      refgateway-handle
      pol2d:       ptr to 2D polygon to triangulate
      errmsg:      ptr to buffer with error message. reflections displays
                   this message if an error occurs.
      returns:     NULL if failed
                   ptr to new object if ok
   */
/*****************************************************************************/
/* ask, wether a polygon is opened or closed */

   RPIStub long
RPI_pol_is_open
    (RPI_HANDLE handle,RPI_OBJECT pol,long *is_open);

   /* handle:      refgateway-handle
      pol:         ptr to polygon to ask
      is_open:     destination ptr to long-variable to store the return-value
                   1==pol is open, 0==pol is closed
      returns:     0 if failed
                   1 if ok
   */
/*****************************************************************************/
/* open or close a polygon-object */

   RPIStub long
RPI_pol_open_close
    (RPI_HANDLE handle,RPI_OBJECT pol,long open);

   /* handle:      refgateway-handle
      pol:         ptr to polygon to ask
      open:        1==open the polygon, 0==close the polygon
      returns:     0 if failed
                   1 if ok
   */
/*****************************************************************************/
