/*****************************************************************************/
/* error codes and messages, add your own errors at the specified places */
 
#define PLUG_OK                  0

#define PLUG_INTERNAL_ERR        0
#define PLUG_NO_MEM_ERR          1
#define PLUG_OPEN_FILE_ERR       2
#define PLUG_READ_ERR            3
#define PLUG_WRITE_ERR           4
#define PLUG_FILE_ERR            5
#define PLUG_CONFIG_ERR          6
#define PLUG_CONFIG_OPEN_ERR     7
#define PLUG_OPEN_REQ_ERR        8
#define PLUG_GET_VALUE_ERR       9
#define PLUG_REF_DIR_ERR         10
#define PLUG_DLL_VERSION_ERR     11
#define PLUG_INSTALL_EVENT_ERR   12
#define PLUG_WORKING_ERR         13
/* add your error codes here */

#define ERROR_MESSAGES 14
/* increase this constant if you added error codes */

extern char  *mess_text[ERROR_MESSAGES];

/*****************************************************************************/
/* global plugin handle needed for comunication with reflections */
/* valid between FPLUG_INIT_MESSAGE and FPLUG_CLOSE_MESSAGE */

extern void *HND;

/*****************************************************************************/
/* set this to 43 or less if you compile for an older version */

#define MONZOOM_VERSION    45
#define MONZOOM_REVISION   0

#define DLL_VERSION ((MONZOOM_VERSION<<16) | MONZOOM_REVISION)


/* this struct is initialized by this skeleton automaticly */
/* you can read this values after PLI_CONNECT at any time */

struct _info_ {

   char ref_path[260];        /* reflections working directory */
   char ref_temp[260];        /* reflections temp directory */
   long ref_version;          /* reflections version number */
   long ref_release;          /* reflections release number */
   long ref_revision;         /* reflections revision number */
   long ref_language;         /* the language of reflections */
   long scr_width;            /* width of the reflections display */
   long scr_height;           /* height of the reflections display */
   long scr_depth;            /* color depth of the reflections display */

};

/*****************************************************************************/
/* this config struct is initialized by this skeleton automaticly */

#define PLUG_CONFIG_ID        "CFG" /* do not change this */
#define PLUG_CONFIG_VERSION   1     /* increase if you change config data format */

/*****************************************************************************/

#define PLUG_DATA_ENTRIES  5

typedef struct {

   char     string[32];
   float    floats[2];
   long     longs[2];
   short    shorts[2];
   long     cycle;
   /* replace with your own config vars */

} PlugData;

extern DataDesc descriptors[PLUG_DATA_ENTRIES];

struct Config {

   char     id[4];    /* do not change this */
   long     version;  /* dito */
   long     menu_x;   /* dito */
   long     menu_y;   /* dito */
   PlugData data;     /* dito */

};

extern Config user_config, default_config;
extern Config *config;

/* get your config values only from config-> */
/* it will be set to a loaded config if config file is valid */

/*****************************************************************************/
/* the name, version, filenames and help keyword of this plugin */

#define PLUG_NAME             "CreaSkel"
#define PLUG_VERSION          1
#define PLUG_REVISION         0

#ifdef WINDOWS
   #define CONFIG_FILENAME    "plugin\\data\\creaskel\\config"
#endif
#ifdef AMIGA
   #define CONFIG_FILENAME    "plugin/data/creaskel/config"
#endif

#define PLUG_HELP             "HELP_CREASKEL" /* help keyword */

#define PLUG_FILE_MODE        FILE_TYPE_INTEL /* byte order for config file */

/*****************************************************************************/
/* this messages are displayed after connection and before unloading */

#define PLUG_INSTALL_MESSAGE  "%s V%d.%d installiert unter V%ld.%ld.%ld"
#define PLUG_REMOVE_MESSAGE   "%s V%d.%d deaktiviert"

/*****************************************************************************/
/* default ids for your tools */

#define TOOL_ID1              1
#define TOOL_ID2              2

/*****************************************************************************/
/* the menu entries */

#define NR_OF_CREATE_ENTRIES 2

extern char *tool_names[NR_OF_CREATE_ENTRIES];

/*****************************************************************************/

#define REQ1_TITLE   "Skeleton"

/* change this defines to match your requester entries */
#define REQ1_STRINGS    1
#define REQ1_FLOATS     2 /* normal + extended */
#define REQ1_INTS       2 /* normal + extended */
#define REQ1_LINES      3
#define REQ1_TEXTS      1
#define REQ1_CYCLES     1
#define REQ1_EXTENDED   2 /* nr of extended ints and/or floats */

/* do not edit this */
#define REQ1_VARS       (REQ1_FLOATS+REQ1_INTS)
#define REQ1_ENTRIES    (REQ1_VARS+REQ1_STRINGS+REQ1_TEXTS+REQ1_CYCLES)
#define REQ1_ITEMS      (REQ1_ENTRIES+REQ1_LINES+REQ1_CYCLES)

/* maximum chars for requested strings */
#define REQ1_STRING_BUFFER_SIZE 64

/* place the name of the requester elements here */
extern char *req1_names[REQ1_ENTRIES];

/* this is a cycle struct, one for each cycle */
extern Cycle req1_cycle;

/* the types of the requester elements, to be edited */
extern long req1_codes[REQ1_ITEMS];

/* a min and max for each integer or float extended element */
/* defined as floats */

extern float req1_minmax[REQ1_EXTENDED*2];

/* this needs no changes */
extern char req1_tmp_strings[REQ1_STRINGS][REQ1_STRING_BUFFER_SIZE];
extern long req1_tmp_ints[REQ1_INTS];
extern float req1_tmp_floats[REQ1_FLOATS];
extern long req1_tmp_cycles[REQ1_CYCLES];

/* temp storage for the requester values, to be edited */
extern void *req1_tmp_vars[REQ1_ENTRIES];

/* this needs no changes */
extern char req1_org_strings[REQ1_STRINGS][REQ1_STRING_BUFFER_SIZE];
extern long req1_org_ints[REQ1_INTS];
extern float req1_org_floats[REQ1_FLOATS];
extern long req1_org_cycles[REQ1_CYCLES];

/* buffer for original values, to be edited */
extern void *req1_org_vars[REQ1_ENTRIES];

/* this needs no changes */
extern void *req1_vars[REQ1_ENTRIES];
extern long req1_messages;

/*****************************************************************************/
/* globals to keep track of the status */

extern long tool_installed;
extern long tool_requester;
extern long ignore_delete;
extern RPI_OBJECT create_object;

extern _info_ info;

#include "ReqBetter.h"